Skip to content

Get withdrawal config info

GET
/v1/wallet/crypto/{currency}/withdraw

Get all the information about withdrawing a given currency from your VALR account. That will include withdrawal costs, minimum withdrawal amount etc. If networkType is not specified, it will be defaulted based on the configuration for the currency that can be found at /v1/public/currencies. Please also consult the supporting documentation for the /v1/public/currencies api which illustrates different scenarios by example. The withdrawalDecimalPlaces specified is the maximum scale of the value that will be submitted to the network and will be rounded down to that scale if a value with a larger scale is provided.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters

Path Parameters

currency*

The currency code of the currency you want withdrawal information about (e.g., BTC, ETH, XRP, ADA)

Type
string
Required

Query Parameters

networkType

The network type to use when retrieving the currency config for the specified currency. If not specified, it will be defaulted based on the currency configuration.

Type
string

Responses

Withdrawal configuration info retrieved successfully

application/json

Playground

Authorization
Variables
Key
Value

Samples